import request from '@/utils/request'

// 查询工程材质规格列表
export function listEnginSpecifications(query) {
  return request({
    url: '/zdsz/enginSpecifications/list',
    method: 'get',
    params: query
  })
}

// 查询工程材质规格详细
export function getEnginSpecifications(id) {
  return request({
    url: '/zdsz/enginSpecifications/' + id,
    method: 'get'
  })
}

// 新增工程材质规格
export function addEnginSpecifications(data) {
  return request({
    url: '/zdsz/enginSpecifications',
    method: 'post',
    data: data
  })
}

// 修改工程材质规格
export function updateEnginSpecifications(data) {
  return request({
    url: '/zdsz/enginSpecifications',
    method: 'put',
    data: data
  })
}

// 删除工程材质规格
export function delEnginSpecifications(id) {
  return request({
    url: '/zdsz/enginSpecifications/' + id,
    method: 'delete'
  })
}
export function getEnginSpecificationsList(materId) {
  return request({
    url: '/zdsz/enginSpecifications/getEnginSpecificationsList',
    method: 'get',
    params:{
      materId:materId
    }
  })
}
